KATE(1)

NOME
kate - Um editor de texto avançado para o KDE

SINOPSE

kate [-s, --start nome] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding nome] [-l, --line linha] [-c, --column coluna] [-i, --stdin] [-u, --use] [opções genéricas do KDE] [opções genéricas do Qt]

DESCRIçãO

O Kate é o Editor de Texto Avançado do KDE.

O Kate também oferece o componente de edição para vários aplicativos, sob o nome KWrite.

Algumas das várias funcionalidades do Kate incluem o realce de sintaxe configurável para as linguagens que vão do C e C++ até ao HTML, passando por programas em 'bash', a capacidade de criar e manter projetos, uma interface para vários documentos (MDI) e um emulador de terminal embutido.

Mas o Kate é mais do que um editor para programadores. A sua capacidade de abrir vários arquivos de uma vez torna-o ideal para editar os vários arquivos de configuração do UNIX®. Este documento foi escrito no Kate.

OPçõES

-s, --start nome
    Inicia o Kate com uma determinada sessão.

--startanon
    Iniciar o Kate com uma nova sessão anônima; implica o uso do -n.

-n, --new
    Forçar o início de uma nova instância do Kate (é ignorado se for usado o start e já existir outra instância do Kate com a sessão indicada aberta); é forçado no caso de não terem sido indicados quaisquer URLs ou parâmetros.

-b, --block
    Se uma instância do Kate já estiver rodando, bloqueia até ela terminar, se forem fornecidas URLs a serem abertas.

-p, --pid pid
    Somente tentar reutilizar a instância do Kate com este pid (é ignorado se for usado o start e se outra instância do Kate já tiver sessão indicada aberta).

-e, --encoding nome
    Modifica a codificação do arquivo a abrir

    Você poderá usar esta opção para obrigar a abrir um documento no formato UTF-8, por exemplo. (O comando iconv -l oferece uma lista com as codificações, o que poderá ser útil para você.)

-l, --line linha
    Navegar para esta linha

-c, --column coluna
    Navegar para esta coluna

-i, --stdin
    Lê o conteúdo do stdin

-u, --use
    Usar uma instância do Kate já aberta; o padrão, somente para compatibilidade

VEJA TAMBéM

Existe a documentação do usuário mais detalhada em help:/kate (tanto poderá inserir este URL no Konqueror, como executar o khelpcenter help:/kate).

Existem ainda mais informações disponíveis na página Web do Kate[1].

EXEMPLOS

Para abrir um arquivo chamado codigo.cpp na coluna 15 e linha 25 numa janela existente do Kate, você poderá usar:

    kate -c 15 -l
    25 -u codigo.cpp

Se você tiver uma conexão à Internet, poderá tirar partido da transparência da rede do KDE para abrir um arquivo num servidor de FTP. Se não tiver permissões de escrita no servidor remoto, o arquivo será aberto apenas para leitura e ser-lhe-á pedido o nome do arquivo local no qual deseja gravar, se fizer alterações nele. Se tiver permissões para escrita, as alterações serão feitas de forma transparente pela rede.

    kate ftp://ftp.kde.org/pub/kde/README

AUTORES

O responsável pela manutenção do Kate é o Christoph Cullmann cullmann@kde.org. Uma lista completa dos autores e contribuidores para o projeto está disponível no manual de usuário mencionado acima.

AUTOR

Lauri Watts <lauri@kde.org>
    Autor.

NOTAS

1.  página Web do Kate
    http://kate-editor.org/